Page MenuHomeFreeBSD

sysutils/rsyslog: Fix libinotify build conflict
ClosedPublic

Authored by koobs on Jul 1 2019, 5:49 AM.

Details

Summary
sysutils/rsyslog: Fix libinotify build conflict

ports r444784 added CONFLICTS_BUILD on devel/libinotify as the
build breaks when it is installed/available:

  imfile.c:42:10: fatal error: 'linux/types.h' file not found
  #include <linux/types.h>
           ^~~~~~~~~~~~~~~
  1 error generated.       

The inability to build a port based on the presence of an arbitrary port
is not a good user experience as anything can be installed in the user
environment.

In almost all cases, it is preferable to resolve the conflict explicitly, 
either by patching the parts of the build system that check for or define
functionality based on the presence of a library, or any methods available
in the build system to explicitly disable that particular functionality.

rsyslog does not contain any explicitly user-toggles for disabling inotify
support (optional, for the imfile module), but GNU configure provides
variables for each check that can be overriden.

This method is used in /usr/ports/Templates/config.site to provide cached
values to GNU configure scripts, improving performance/build times by
avoiding actually running the tests/checks.

This change sets two configure variables involved in inotify
function/header detection, which disables the functionality, allowing the
build to proceed even in libinotify's presence.

While I'm here, pet portlint:

  * FATAL: Makefile: [73]: use a tab (not space) after a variable name
  * WARN: Makefile: "USES" has to appear earlier.

Reported by: atari83 (via IRC)
Reviewed_by: matthew (maintainer)
Approved by: matthew (maintainer)
Differential_Revision: D20815
Test Plan
  • portlint: OK (4 x spurious pkg-message: possible use of absolute pathname)
  • testport: OK (poudriere: 12amd64)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

koobs created this revision.Jul 1 2019, 5:49 AM
koobs edited the test plan for this revision. (Show Details)Jul 1 2019, 5:54 AM
koobs updated this revision to Diff 59241.Jul 1 2019, 5:55 AM

Fix portlint issues:

  • FATAL: Makefile: [73]: use a tab (not space) after a variable name
  • WARN: Makefile: "USES" has to appear earlier.
koobs edited the summary of this revision. (Show Details)Jul 1 2019, 5:56 AM
koobs edited the summary of this revision. (Show Details)Jul 2 2019, 10:32 AM
This revision is now accepted and ready to land.Jul 7 2019, 10:54 AM
This revision was automatically updated to reflect the committed changes.
koobs added a comment.Jul 8 2019, 12:11 PM

Oh, you didn't use my commit log message verbatim ;(~ *tear*

Thanks for committing, i would have been happy to take care of it :D